#!/bin/bash

VLAN=$1
IP=$2
GATEWAY=$3

rm /etc/network/interfaces.d/*

echo "source /etc/network/interfaces.d/*" > /etc/network/interfaces
echo "" >> /etc/network/interfaces
echo "auto lo" >> /etc/network/interfaces
echo "iface lo inet loopback" >> /etc/network/interfaces

echo "auto eth1" > /etc/network/interfaces.d/ifcfg-eth1
echo "iface eth1 inet static" >> /etc/network/interfaces.d/ifcfg-eth1
echo "   address 255.255.255.255/32" >> /etc/network/interfaces.d/ifcfg-eth1

echo "auto eth1.$VLAN" > /etc/network/interfaces.d/ifcfg-eth1.$VLAN
echo "iface eth1.$VLAN inet static" >> /etc/network/interfaces.d/ifcfg-eth1.$VLAN
echo "   address $IP" >> /etc/network/interfaces.d/ifcfg-eth1.$VLAN
echo "   gateway $GATEWAY" >> /etc/network/interfaces.d/ifcfg-eth1.$VLAN

service networking restart